Debian Bug report logs - #553529
xscreensaver: Fake crash screensaver should not be enabled by default

version graph

Package: xscreensaver-data-extra; Maintainer for xscreensaver-data-extra is Tormod Volden <debian.tormod@gmail.com>; Source for xscreensaver-data-extra is src:xscreensaver.

Reported by: Daniel Dickinson <crazycshore@gmail.com>

Date: Sun, 1 Nov 2009 04:00:01 UTC

Severity: important

Fixed in version xscreensaver/5.10-4

Done: Jose Luis Rivas <ghostbar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Rivas <ghostbar@debian.org>:
Bug#553529; Package xscreensaver. (Sun, 01 Nov 2009 04:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Dickinson <crazycshore@gmail.com>:
New Bug report received and forwarded. Copy sent to Jose Luis Rivas <ghostbar@debian.org>. (Sun, 01 Nov 2009 04:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Dickinson <crazycshore@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xscreensaver: Fake crash screensaver should not be enabled by default
Date: Sat, 31 Oct 2009 23:54:55 -0400
Package: xscreensaver
Version: 5.05-3
Severity: grave
Justification: causes non-serious data loss

The fake crash screensaver causes users who don't know about it to panic and 
reboot the system, without necessarily hit other keys first, thereby
potentially causing data loss.  It's really a bad idea to have something that
look like a fatal error and says to reboot, for a user who is not expecting it.

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xscreensaver depends on:
ii  libatk1.0-0         1.22.0-1             The ATK accessibility toolkit
ii  libc6               2.7-18               GNU C Library: Shared libraries
ii  libcairo2           1.6.4-7              The Cairo 2D vector graphics libra
ii  libglade2-0         1:2.6.2-1            library to load .glade files at ru
ii  libglib2.0-0        2.16.6-2             The GLib library of C routines
ii  libgtk2.0-0         2.12.12-1~lenny1     The GTK+ graphical user interface 
ii  libice6             2:1.0.4-1            X11 Inter-Client Exchange library
ii  libpam0g            1.0.1-5+lenny1       Pluggable Authentication Modules l
ii  libpango1.0-0       1.20.5-5             Layout and rendering of internatio
ii  libsm6              2:1.0.3-2            X11 Session Management library
ii  libx11-6            2:1.1.5-2            X11 client-side library
ii  libxext6            2:1.0.4-1            X11 miscellaneous extension librar
ii  libxinerama1        2:1.0.3-2            X11 Xinerama extension library
ii  libxml2             2.6.32.dfsg-5+lenny1 GNOME XML library
ii  libxmu6             2:1.0.4-1            X11 miscellaneous utility library
ii  libxpm4             1:3.5.7-1            X11 pixmap library
ii  libxrandr2          2:1.2.3-1            X11 RandR extension library
ii  libxrender1         1:0.9.4-2            X Rendering Extension client libra
ii  libxt6              1:1.0.5-3            X11 toolkit intrinsics library
ii  libxxf86misc1       1:1.0.1-3            X11 XFree86 miscellaneous extensio
ii  libxxf86vm1         1:1.0.2-1            X11 XFree86 video mode extension l
ii  xscreensaver-data   5.05-3               data files to be shared among scre

Versions of packages xscreensaver recommends:
ii  libjpeg-progs          6b-14             Programs for manipulating JPEG fil
ii  perl [perl5]           5.10.0-19lenny2   Larry Wall's Practical Extraction 
ii  wamerican [wordlist]   6-2.3             American English dictionary words 
ii  wcanadian-huge [wordli 6-2.3             Canadian English dictionary words 
ii  xli                    1.17.0+20061110-3 command line tool for viewing imag
ii  xloadimage             4.1-16.1          Graphics file viewer under X11

Versions of packages xscreensaver suggests:
ii  elinks [www-browser]       0.11.4-3      advanced text-mode WWW browser
ii  fortune-mod [fortune]      1:1.99.1-3.1  provides fortune cookies on demand
ii  iceweasel [www-browser]    3.0.6-3       lightweight web browser based on M
ii  lynx-cur [www-browser]     2.8.7dev9-2.1 Text-mode WWW Browser with NLS sup
pn  qcam | streamer            <none>        (no description available)
ii  w3m [www-browser]          0.5.2-2+b1    WWW browsable pager with excellent
pn  xdaliclock                 <none>        (no description available)
pn  xfishtank                  <none>        (no description available)
pn  xscreensaver-gl            <none>        (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Rivas <ghostbar@debian.org>:
Bug#553529; Package xscreensaver. (Sun, 01 Nov 2009 04:28:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseluis@rivco.net:
Extra info received and forwarded to list. Copy sent to Jose Luis Rivas <ghostbar@debian.org>. (Sun, 01 Nov 2009 04:28:00 GMT) Full text and rfc822 format available.

Message #10 received at 553529@bugs.debian.org (full text, mbox):

From: "Jose Luis Rivas" <joseluis@rivco.net>
To: "Daniel Dickinson" <crazycshore@gmail.com>,553529@bugs.debian.org,"control@bugs.debian.org" <control@bugs.debian.org>
Subject: Re: Bug#553529: xscreensaver: Fake crash screensaver should not be enabled by default
Date: Sun, 1 Nov 2009 04:05:10 +0000
Severity 553529 wishlist
Quit

Haha. This is a problem between the chair and the keyboard, this is not a RC bug. ;-)

Cheers!
-----Original Message-----
From: Daniel Dickinson <crazycshore@gmail.com>
Date: Sat, 31 Oct 2009 23:54:55 
To: Debian Bug Tracking System<submit@bugs.debian.org>
Subject: Bug#553529: xscreensaver: Fake crash screensaver should not be enabled by default

Package: xscreensaver
Version: 5.05-3
Severity: grave
Justification: causes non-serious data loss

The fake crash screensaver causes users who don't know about it to panic and 
reboot the system, without necessarily hit other keys first, thereby
potentially causing data loss.  It's really a bad idea to have something that
look like a fatal error and says to reboot, for a user who is not expecting it.

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xscreensaver depends on:
ii  libatk1.0-0         1.22.0-1             The ATK accessibility toolkit
ii  libc6               2.7-18               GNU C Library: Shared libraries
ii  libcairo2           1.6.4-7              The Cairo 2D vector graphics libra
ii  libglade2-0         1:2.6.2-1            library to load .glade files at ru
ii  libglib2.0-0        2.16.6-2             The GLib library of C routines
ii  libgtk2.0-0         2.12.12-1~lenny1     The GTK+ graphical user interface 
ii  libice6             2:1.0.4-1            X11 Inter-Client Exchange library
ii  libpam0g            1.0.1-5+lenny1       Pluggable Authentication Modules l
ii  libpango1.0-0       1.20.5-5             Layout and rendering of internatio
ii  libsm6              2:1.0.3-2            X11 Session Management library
ii  libx11-6            2:1.1.5-2            X11 client-side library
ii  libxext6            2:1.0.4-1            X11 miscellaneous extension librar
ii  libxinerama1        2:1.0.3-2            X11 Xinerama extension library
ii  libxml2             2.6.32.dfsg-5+lenny1 GNOME XML library
ii  libxmu6             2:1.0.4-1            X11 miscellaneous utility library
ii  libxpm4             1:3.5.7-1            X11 pixmap library
ii  libxrandr2          2:1.2.3-1            X11 RandR extension library
ii  libxrender1         1:0.9.4-2            X Rendering Extension client libra
ii  libxt6              1:1.0.5-3            X11 toolkit intrinsics library
ii  libxxf86misc1       1:1.0.1-3            X11 XFree86 miscellaneous extensio
ii  libxxf86vm1         1:1.0.2-1            X11 XFree86 video mode extension l
ii  xscreensaver-data   5.05-3               data files to be shared among scre

Versions of packages xscreensaver recommends:
ii  libjpeg-progs          6b-14             Programs for manipulating JPEG fil
ii  perl [perl5]           5.10.0-19lenny2   Larry Wall's Practical Extraction 
ii  wamerican [wordlist]   6-2.3             American English dictionary words 
ii  wcanadian-huge [wordli 6-2.3             Canadian English dictionary words 
ii  xli                    1.17.0+20061110-3 command line tool for viewing imag
ii  xloadimage             4.1-16.1          Graphics file viewer under X11

Versions of packages xscreensaver suggests:
ii  elinks [www-browser]       0.11.4-3      advanced text-mode WWW browser
ii  fortune-mod [fortune]      1:1.99.1-3.1  provides fortune cookies on demand
ii  iceweasel [www-browser]    3.0.6-3       lightweight web browser based on M
ii  lynx-cur [www-browser]     2.8.7dev9-2.1 Text-mode WWW Browser with NLS sup
pn  qcam | streamer            <none>        (no description available)
ii  w3m [www-browser]          0.5.2-2+b1    WWW browsable pager with excellent
pn  xdaliclock                 <none>        (no description available)
pn  xfishtank                  <none>        (no description available)
pn  xscreensaver-gl            <none>        (no description available)

-- no debconf information



Severity set to 'wishlist' from 'grave' Request was from "Jose Luis Rivas" <joseluis@rivco.net> to control@bugs.debian.org. (Sun, 01 Nov 2009 04:28:02 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'wishlist' Request was from Daniel Dickinson <crazycshore@gmail.com> to control@bugs.debian.org. (Sun, 01 Nov 2009 06:45:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Rivas <ghostbar@debian.org>:
Bug#553529; Package xscreensaver. (Sun, 01 Nov 2009 14:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Rivas <joseluis@rivco.net>:
Extra info received and forwarded to list. Copy sent to Jose Luis Rivas <ghostbar@debian.org>. (Sun, 01 Nov 2009 14:03:11 GMT) Full text and rfc822 format available.

Message #19 received at 553529@bugs.debian.org (full text, mbox):

From: Jose Luis Rivas <joseluis@rivco.net>
To: Daniel Dickinson <crazycshore@gmail.com>, 553529@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#553529: xscreensaver: Fake crash screensaver should not be enabled by default
Date: Sun, 1 Nov 2009 09:28:21 -0430
reassign 553529 xscreensaver-data-extra
quit
On Sun, Nov 1, 2009 at 2:04 AM, Daniel Dickinson <crazycshore@gmail.com> wrote:
> On Sun, 1 Nov 2009 04:05:10 +0000
> "Jose Luis Rivas" <joseluis@rivco.net> wrote:
>
>> Severity 553529 wishlist
>> Quit
>>
>> Haha. This is a problem between the chair and the keyboard, this is
>> not a RC bug. ;-)
>>
>
> This isn't funny.  I have had users mistakenly reboot because they
> didn't know any better. For a *default* screensaver on a system that is
> supposed to be used by people who won't know any better, this *is* an
> RC bug.  I'm bumping the severity, and am quite willing to take this to
> the next level.
>
> If were not a *default* screensaver I wouldn't be worried, but I have
> had upset users, and I don't blame them.  Even I had a moment of panic
> the first time it happened to me.  It may be a 'joke' but it's from UI
> point of view it's RC.  It doesn't matter that the programming is
> between the chair and the keyboard rather than the computer.  It's a
> natural reaction to see the computer die badly, especially given what
> happens to Windows computers under such circumstances.

It's not a RC, it may be an *important* bug but not a RC. It's *not*
installed by default, is on xscreensaver-data-extra which you have to
manually install yourself. Again, is not installed by default.

It's a RC bug? Let's take some already big bugs that really rendered
to data loss but because of user actions: rm -rf /. [0] Even in that
case it was not a grave bug but a *wishlist* bug, because it wasn't an
issue on the app side but on the user side. It does the package make
you lose information? Or your overreaction? Yes, is the second so is
not on the package part but on the user and you can't report a bug
against an user.

Plus, is the intended behavior, the package was made on that sense,
that's what the screensaver is supposed to do. So it's not a bug but a
feature!

About why it may be an "important severity bug"
----------------------------------------------------------------------

If your reasoning is good and users overreaction to expected behavior
of the app counts as bugs then it should be important instead of
grave. The simple reason is because doesn't renders to data loss for
every the users but only to the users that are used to press reset
button before moving the mouse or pressing a key.

>
> And yes, I'm quite willing to take this the CTTE.

Well, I already asked for advice on #debian-devel and most of their
solutions was to close this bug and tell you to uninstall the package
xscreensaver-data-extra. I'm being nice and I'm willing to unmark it
by default, I never said I was not going to customize it so your users
wouldn't complain, but I'm *not* willing to receive any kind of
threats. And really, *is not even a bug!*.

[0] https://bugs.launchpad.net/ubuntu/+source/coreutils/+bug/174283
-- 
Jose Luis Rivas. San Cristóbal, Venezuela.
GPG 0xCACAB118 0x7C4DF50D
http://joseluisrivas.net/acerca - http://ghostbar.ath.cx/about




Bug reassigned from package 'xscreensaver' to 'xscreensaver-data-extra'. Request was from Jose Luis Rivas <joseluis@rivco.net> to control@bugs.debian.org. (Sun, 01 Nov 2009 14:03:13 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xscreensaver/5.05-3. Request was from Jose Luis Rivas <joseluis@rivco.net> to control@bugs.debian.org. (Sun, 01 Nov 2009 14:03:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Rivas <ghostbar@debian.org>:
Bug#553529; Package xscreensaver-data-extra. (Sun, 01 Nov 2009 15:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Dickinson <crazycshore@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jose Luis Rivas <ghostbar@debian.org>. (Sun, 01 Nov 2009 15:24:04 GMT) Full text and rfc822 format available.

Message #28 received at 553529@bugs.debian.org (full text, mbox):

From: Daniel Dickinson <crazycshore@gmail.com>
To: Jose Luis Rivas <joseluis@rivco.net>
Cc: 553529@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#553529: xscreensaver: Fake crash screensaver should not be enabled by default
Date: Sun, 1 Nov 2009 10:08:18 -0500
[Message part 1 (text/plain, inline)]
On Sun, 1 Nov 2009 09:28:21 -0430
Jose Luis Rivas <joseluis@rivco.net> wrote:

> 
> Plus, is the intended behavior, the package was made on that sense,
> that's what the screensaver is supposed to do. So it's not a bug but a
> feature!

Just because I think the issue of what consistutes intended behaviours
is an issue:  The intended behaviour of xscreensaver-data-extra is to
provide additional screensaver hacks for *user* enjoyment.  The goal of
the hack is to amuse the *user*, and as such BSOD is makes the
package buggy because it frequently causes the user to experience
anguish instead of enjoyment.  Sure it's amusing if you are expecting
it, but when a user who doesn't know that there is a screen hack that
pretends to be completely broken computer takes a break from something
important, comes back, and sees a crash, they're not *enjoying* the
experience.

Another point of what a *package* is supposed to do, is that it is
supposed to be generally usable without having to vet every options of
every screen of the package.  That would defeat the point of using
packages and and distribution over a micromanaged LFS or Gentoo
system.  If I have to go over every package, in detail, to be sure that
the maintainer hasn't got a landmine in the package for my users, I
haven't gained much by using a prepackaged distribution like Debian.

Debian isn't just for developers.

Regards,

Daniel

-- 
And that's my crabbing done for the day.  Got it out of the way early, 
now I have the rest of the afternoon to sniff fragrant tea-roses or 
strangle cute bunnies or something.   -- Michael Devore
GnuPG Key Fingerprint 86 F5 81 A5 D4 2E 1F 1C      http://gnupg.org
The C Shore (Daniel Dickinson's Website) http://cshore.is-a-geek.com
[signature.asc (application/pgp-signature, attachment)]

Severity set to 'important' from 'grave' Request was from Jose Luis Rivas <joseluis@rivco.net> to control@bugs.debian.org. (Sun, 01 Nov 2009 22:36:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Rivas <ghostbar@debian.org>:
Bug#553529; Package xscreensaver-data-extra. (Wed, 04 Nov 2009 17:27:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tormod Volden <debian.tormod@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jose Luis Rivas <ghostbar@debian.org>. (Wed, 04 Nov 2009 17:27:24 GMT) Full text and rfc822 format available.

Message #35 received at 553529@bugs.debian.org (full text, mbox):

From: Tormod Volden <debian.tormod@gmail.com>
To: Daniel Dickinson <crazycshore@gmail.com>, 553529@bugs.debian.org
Subject: Re: Bug#553529: xscreensaver: Fake crash screensaver should not be enabled by default
Date: Wed, 4 Nov 2009 15:15:50 +0100
On Sun, Nov 1, 2009 at 4:08 PM, Daniel Dickinson <crazycshore@gmail.com> wrote:
> Another point of what a *package* is supposed to do, is that it is
> supposed to be generally usable without having to vet every options of
> every screen of the package.  That would defeat the point of using
> packages and and distribution over a micromanaged LFS or Gentoo
> system.  If I have to go over every package, in detail, to be sure that
> the maintainer hasn't got a landmine in the package for my users, I
> haven't gained much by using a prepackaged distribution like Debian.
>
> Debian isn't just for developers.

The -extra package is not included by any installer, so "normal users"
will not get the BSOD screensaver. They have to actively hunt it down
and install it. If they get so far, there are much worse examples of
what they can install that can be potentially dangerous if used the
wrong way. With reference to "prepackaged distribution" I do not think
we have to dumb down all packages available in the Debian repository.

This is one of the reasons we have a separate -extra package. Your
suggestion is "should not be enabled by default" and that is exactly
what we are doing by putting BSOD into -extra.

I think the huge majority of Debian users (developers or not) find
BSOD very entertaining, and they would be upset if we remove it or
make it difficult to use. And frankly, I do not think many people
panic and hit the power button without even move the mouse or press a
key (which would stop the screensaver).

Tormod




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Rivas <ghostbar@debian.org>:
Bug#553529; Package xscreensaver-data-extra. (Wed, 04 Nov 2009 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to joseluis@rivco.net:
Extra info received and forwarded to list. Copy sent to Jose Luis Rivas <ghostbar@debian.org>. (Wed, 04 Nov 2009 18:03:04 GMT) Full text and rfc822 format available.

Message #40 received at 553529@bugs.debian.org (full text, mbox):

From: "Jose Luis Rivas" <joseluis@rivco.net>
To: "Tormod Volden" <debian.tormod@gmail.com>,553529@bugs.debian.org,"Daniel Dickinson" <crazycshore@gmail.com>
Subject: Re: Bug#553529: xscreensaver: Fake crash screensaver should not be enabled by default
Date: Wed, 4 Nov 2009 17:32:26 +0000
I'm already separating webcollage and bsod, don't worry. This will be uploaded probably this night. I already talked about this with Daniel.
-----Original Message-----
From: Tormod Volden <debian.tormod@gmail.com>
Date: Wed, 4 Nov 2009 15:15:50 
To: Daniel Dickinson<crazycshore@gmail.com>; <553529@bugs.debian.org>
Subject: Bug#553529: xscreensaver: Fake crash screensaver should not be  enabled by default

On Sun, Nov 1, 2009 at 4:08 PM, Daniel Dickinson <crazycshore@gmail.com> wrote:
> Another point of what a *package* is supposed to do, is that it is
> supposed to be generally usable without having to vet every options of
> every screen of the package.  That would defeat the point of using
> packages and and distribution over a micromanaged LFS or Gentoo
> system.  If I have to go over every package, in detail, to be sure that
> the maintainer hasn't got a landmine in the package for my users, I
> haven't gained much by using a prepackaged distribution like Debian.
>
> Debian isn't just for developers.

The -extra package is not included by any installer, so "normal users"
will not get the BSOD screensaver. They have to actively hunt it down
and install it. If they get so far, there are much worse examples of
what they can install that can be potentially dangerous if used the
wrong way. With reference to "prepackaged distribution" I do not think
we have to dumb down all packages available in the Debian repository.

This is one of the reasons we have a separate -extra package. Your
suggestion is "should not be enabled by default" and that is exactly
what we are doing by putting BSOD into -extra.

I think the huge majority of Debian users (developers or not) find
BSOD very entertaining, and they would be upset if we remove it or
make it difficult to use. And frankly, I do not think many people
panic and hit the power button without even move the mouse or press a
key (which would stop the screensaver).

Tormod



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 02 Dec 2009 07:06:04 GMT) Full text and rfc822 format available.

Reply sent to Jose Luis Rivas <ghostbar@debian.org>:
You have taken responsibility. (Fri, 04 Dec 2009 19:18:47 GMT) Full text and rfc822 format available.

Notification sent to Daniel Dickinson <crazycshore@gmail.com>:
Bug acknowledged by developer. (Fri, 04 Dec 2009 19:18:47 GMT) Full text and rfc822 format available.

Message #47 received at 553529-close@bugs.debian.org (full text, mbox):

From: Jose Luis Rivas <ghostbar@debian.org>
To: 553529-close@bugs.debian.org
Subject: Bug#553529: fixed in xscreensaver 5.10-4
Date: Fri, 04 Dec 2009 18:38:03 +0000
Source: xscreensaver
Source-Version: 5.10-4

We believe that the bug you reported is fixed in the latest version of
xscreensaver, which is due to be installed in the Debian FTP archive:

xscreensaver-data-extra_5.10-4_i386.deb
  to main/x/xscreensaver/xscreensaver-data-extra_5.10-4_i386.deb
xscreensaver-data_5.10-4_i386.deb
  to main/x/xscreensaver/xscreensaver-data_5.10-4_i386.deb
xscreensaver-gl-extra_5.10-4_i386.deb
  to main/x/xscreensaver/xscreensaver-gl-extra_5.10-4_i386.deb
xscreensaver-gl_5.10-4_i386.deb
  to main/x/xscreensaver/xscreensaver-gl_5.10-4_i386.deb
xscreensaver-screensaver-bsod_5.10-4_i386.deb
  to main/x/xscreensaver/xscreensaver-screensaver-bsod_5.10-4_i386.deb
xscreensaver-screensaver-webcollage_5.10-4_i386.deb
  to main/x/xscreensaver/xscreensaver-screensaver-webcollage_5.10-4_i386.deb
xscreensaver_5.10-4.diff.gz
  to main/x/xscreensaver/xscreensaver_5.10-4.diff.gz
xscreensaver_5.10-4.dsc
  to main/x/xscreensaver/xscreensaver_5.10-4.dsc
xscreensaver_5.10-4_i386.deb
  to main/x/xscreensaver/xscreensaver_5.10-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553529@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jose Luis Rivas <ghostbar@debian.org> (supplier of updated xscreensaver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 08 Nov 2009 09:27:00 -0430
Source: xscreensaver
Binary: xscreensaver xscreensaver-data xscreensaver-data-extra xscreensaver-gl xscreensaver-gl-extra xscreensaver-screensaver-webcollage xscreensaver-screensaver-bsod
Architecture: source i386
Version: 5.10-4
Distribution: unstable
Urgency: low
Maintainer: Jose Luis Rivas <ghostbar@debian.org>
Changed-By: Jose Luis Rivas <ghostbar@debian.org>
Description: 
 xscreensaver - Automatic screensaver for X
 xscreensaver-data - data files to be shared among screensaver frontends
 xscreensaver-data-extra - data files to be shared among screensaver frontends
 xscreensaver-gl - GL(Mesa) screen hacks for xscreensaver
 xscreensaver-gl-extra - GL(Mesa) screen hacks for xscreensaver
 xscreensaver-screensaver-bsod - BSOD hack from XScreenSaver
 xscreensaver-screensaver-webcollage - Webcollage hack from XScreenSaver
Closes: 550201 553529
Changes: 
 xscreensaver (5.10-4) unstable; urgency=low
 .
   * Removing Xsession hook (Closes: #550201)
   * Split hacks bsod and webcollage on independent packages
   (Closes: #553529)
Checksums-Sha1: 
 ec5301fd33becea8c0cde22c6a507b7f775c9bf9 1814 xscreensaver_5.10-4.dsc
 d9fb45f69639e28df41f49f3010fcec3f0eb9ba4 73822 xscreensaver_5.10-4.diff.gz
 632c296b262dac0a305c939ec39493bb6a1072bc 734850 xscreensaver_5.10-4_i386.deb
 038b0130aede8ca660fa1c7963dcdfba9ed26feb 485578 xscreensaver-data_5.10-4_i386.deb
 1c017e6996b821d9ef953ae750fc5ef3b753248b 2390112 xscreensaver-data-extra_5.10-4_i386.deb
 06503c2ec695fddb108e15f5a9c96e0ee1fd3268 2024468 xscreensaver-gl_5.10-4_i386.deb
 1bb30dd8bc19b7494cad9ca9f34e45aff6c7327a 2128946 xscreensaver-gl-extra_5.10-4_i386.deb
 9c56663536e3ba94f98f59eb1b28f4e83a6a9989 62926 xscreensaver-screensaver-webcollage_5.10-4_i386.deb
 d18618fb5da3d84400624463432c000802192c86 160566 xscreensaver-screensaver-bsod_5.10-4_i386.deb
Checksums-Sha256: 
 97f89ca4c6a5f0f3466f492ff0b3f59f3f83d68c3e6e4e6ae7162005227c0e33 1814 xscreensaver_5.10-4.dsc
 00cb1864676acfcad8d315e58b1d718b11d159b51969b7fe688f37f50696d8b9 73822 xscreensaver_5.10-4.diff.gz
 ad61b0dc268267b976830ae75f9994497d214c439dc4b63b8b83272cf0648787 734850 xscreensaver_5.10-4_i386.deb
 856976bd902c788f46df15a95c5f81c87ca039403470cdba633c0928a7c2d309 485578 xscreensaver-data_5.10-4_i386.deb
 5da3c675a35b1060756161ce9a8088ad4cc0f020a64d3e180d95bf6f202b0d11 2390112 xscreensaver-data-extra_5.10-4_i386.deb
 e83ab20bf3be6a46be85f7c7343242c9b16c50f61e80ec8cb62d649bfbe1125e 2024468 xscreensaver-gl_5.10-4_i386.deb
 e0b0974a8d8f26b90784c790a8f60bec23e978f25a422c828274ec39581627ea 2128946 xscreensaver-gl-extra_5.10-4_i386.deb
 9c3f926a470168d22bac659e34b8c480fb2a1047dac3e11e4190a9d14b780b65 62926 xscreensaver-screensaver-webcollage_5.10-4_i386.deb
 8e021f889a9a0dbaf40c657e0b5c95c3260cbef8a7c724ecf749e2e16ebef0a1 160566 xscreensaver-screensaver-bsod_5.10-4_i386.deb
Files: 
 cfadffdd98880b61532d65df4afbb0b2 1814 x11 optional xscreensaver_5.10-4.dsc
 aec0bcc15103a01aefe34b434643a69b 73822 x11 optional xscreensaver_5.10-4.diff.gz
 e50bd3a23995ec07a2af93f07223648f 734850 x11 optional xscreensaver_5.10-4_i386.deb
 8bcbe97ee2e9bbdc98157fd4fcb6f549 485578 x11 optional xscreensaver-data_5.10-4_i386.deb
 39240172dce569ca973c8f68f0a36821 2390112 x11 optional xscreensaver-data-extra_5.10-4_i386.deb
 adfdbccee94d7388142f60d7d1b3255b 2024468 x11 optional xscreensaver-gl_5.10-4_i386.deb
 057dff21c6d117a60b187b2cf612d20c 2128946 x11 optional xscreensaver-gl-extra_5.10-4_i386.deb
 2a8f400fe82489835ad3c765401d5125 62926 x11 optional xscreensaver-screensaver-webcollage_5.10-4_i386.deb
 c780aa9d2b1bafc471ce3e801b9b044b 160566 x11 optional xscreensaver-screensaver-bsod_5.10-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAksVp5cACgkQOKCtW8rKsRifaACfZbFVCrEP4XZLg9jVXicAU+y9
1EwAniuPn9ahSF4y2CdZ03Lulu8Hp+0N
=otGZ
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Rivas <ghostbar@debian.org>:
Bug#553529; Package xscreensaver-data-extra. (Thu, 14 Jan 2010 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andy Isaacson <adi@hexapodia.org>:
Extra info received and forwarded to list. Copy sent to Jose Luis Rivas <ghostbar@debian.org>. (Thu, 14 Jan 2010 01:03:03 GMT) Full text and rfc822 format available.

Message #52 received at 553529@bugs.debian.org (full text, mbox):

From: Andy Isaacson <adi@hexapodia.org>
To: 553529@bugs.debian.org
Subject: Re: Bug#553529: xscreensaver: Fake crash screensaver should not be enabled by default
Date: Wed, 13 Jan 2010 16:52:17 -0800
I'm very disappointed that dist-upgrade broke my screensaver by deleting
the bsod hack (it's the only one I use).  Sure, it's fairly easy to fix
by installing the xscreensaver-screensaver-bsod package, but it seems
like pointless package proliferation to me.

-andy




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Rivas <ghostbar@debian.org>:
Bug#553529; Package xscreensaver-data-extra. (Thu, 14 Jan 2010 01:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jamie Zawinski <jwz@jwz.org>:
Extra info received and forwarded to list. Copy sent to Jose Luis Rivas <ghostbar@debian.org>. (Thu, 14 Jan 2010 01:42:03 GMT) Full text and rfc822 format available.

Message #57 received at 553529@bugs.debian.org (full text, mbox):

From: Jamie Zawinski <jwz@jwz.org>
To: Andy Isaacson <adi@hexapodia.org>, 553529@bugs.debian.org
Subject: Re: Bug#553529: xscreensaver: Fake crash screensaver should not be enabled by default
Date: Wed, 13 Jan 2010 17:16:54 -0800
Apparently the Debian maintainers feel that your inconvenience is a small price to pay to protect the functionally retarded from themselves.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 May 2010 07:34:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:09:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.